Gecode::BoolValBranch Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints » Branching

Which values to select for branching first. More...

`#include <int.hh>`

## Public Types

enum | Select { SEL_MIN , SEL_MAX , SEL_RND , SEL_VAL_COMMIT }
| Which value selection. More...
Public Types inherited from Gecode::ValBranch< BoolVar >
typedef BranchTraits< BoolVar >::Val | BranchVal
| The corresponding branching value function.
typedef BranchTraits< BoolVar >::Commit | BranchCommit
| The corresponding branching commit function.

## Public Member Functions

| BoolValBranch (Select s=SEL_MIN)
| Initialize with selection strategy s.
| BoolValBranch (Rnd r)
| Initialize with random number generator r.
| BoolValBranch (BoolBranchVal v, BoolBranchCommit c)
| Initialize with value function f and commit function c.
Select | select (void) const
| Return selection strategy.
Public Member Functions inherited from Gecode::ValBranch< BoolVar >
| ValBranch (void)
| Initialize.
Rnd | rnd (void) const
| Return random number generator.
BranchVal | val (void) const
| Return value function.
BranchCommit | commit (void) const
| Return commit function.

## Protected Attributes

Select | s
| Which value to select.
Protected Attributes inherited from Gecode::ValBranch< BoolVar >
Rnd | r
| Random number generator.
BranchVal | vf
| Value function.
BranchCommit | cf
| Commit function.

## Detailed Description

Which values to select for branching first.

Definition at line 4889 of file int.hh.

## Member Enumeration Documentation

## Select

enum Gecode::BoolValBranch::Select

Which value selection.

Enumerator
SEL_MIN | Select smallest value.
SEL_MAX | Select largest value.
SEL_RND | Select random value.
SEL_VAL_COMMIT | Select value according to user-defined functions.

Definition at line 4892 of file int.hh.

## Constructor & Destructor Documentation

## BoolValBranch() [1/3]

Gecode::BoolValBranch::BoolValBranch | ( | Select | s = SEL_MIN | ) |

inline

Initialize with selection strategy s.

Definition at line 112 of file val.hpp.

## BoolValBranch() [2/3]

Gecode::BoolValBranch::BoolValBranch | ( | Rnd | r | ) |

inline

Initialize with random number generator r.

Definition at line 116 of file val.hpp.

## BoolValBranch() [3/3]

Gecode::BoolValBranch::BoolValBranch | ( | BoolBranchVal | v,
|  | BoolBranchCommit | c )

inline

Initialize with value function f and commit function c.

Definition at line 120 of file val.hpp.

## Member Function Documentation

## select()

BoolValBranch::Select Gecode::BoolValBranch::select | ( | void |  | ) | const

inline

Return selection strategy.

Definition at line 124 of file val.hpp.

## Member Data Documentation

## s

Select Gecode::BoolValBranch::s

protected

Which value to select.

Definition at line 4900 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/branch/val.hpp